> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Orders



## OpenAPI

````yaml get /lab/order
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /lab/order:
    get:
      tags:
        - Labs
      summary: List Orders
      operationId: list_orders_lab_order_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: patient_id
          in: query
          required: true
          schema:
            type: string
            title: Patient Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LabOrderListItem'
                title: Response List Orders Lab Order Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LabOrderListItem:
      properties:
        id:
          type: string
          title: Id
        vendorOrderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendororderid
        internalStatus:
          type: string
          title: Internalstatus
        vendorStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendorstatus
        collectionMethod:
          anyOf:
            - $ref: '#/components/schemas/LabCollectionMethod'
            - type: 'null'
        labSlug:
          anyOf:
            - type: string
            - type: 'null'
          title: Labslug
        labName:
          anyOf:
            - type: string
            - type: 'null'
          title: Labname
        labOrderSessionId:
          anyOf:
            - type: string
            - type: 'null'
          title: Labordersessionid
        createdDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Createddate
        resultsViewedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Resultsviewedat
        items:
          items:
            $ref: '#/components/schemas/LabOrderItemDetail'
          type: array
          title: Items
          default: []
      type: object
      required:
        - id
        - internalStatus
      title: LabOrderListItem
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LabCollectionMethod:
      type: string
      enum:
        - walk_in_test
        - at_home_phlebotomy
        - testkit
        - on_site_collection
      title: LabCollectionMethod
    LabOrderItemDetail:
      properties:
        id:
          type: string
          title: Id
        itemType:
          $ref: '#/components/schemas/LabOrderItemType'
        vendorCatalogId:
          type: string
          title: Vendorcatalogid
        displayName:
          anyOf:
            - type: string
            - type: 'null'
          title: Displayname
        isStripped:
          type: boolean
          title: Isstripped
          default: false
        sourcePresetId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourcepresetid
      type: object
      required:
        - id
        - itemType
        - vendorCatalogId
      title: LabOrderItemDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    LabOrderItemType:
      type: string
      enum:
        - lab_test
        - marker
      title: LabOrderItemType

````